{% extends "base.html" %}


{% block title %}
{{ stop['title'] }}
{% endblock %}

{% block header %}
{{ stop['title'] }}
{% endblock %}

{% block content %}
{% for route in result %}
<a href="#pred-{{ route['s'] }}-{{ route['r'] }}" id="pred-{{ route['s'] }}-{{ route['r'] }}"
   class="w3-button" style="width: 100%; text-align: left;"><b>{{ route['r_t'] }}</b></a>
{% if not not route['preds'] %}
<p class="w3-panel" style="width: 100%; text-align: left;">{{ route['preds']['title'] }}</p>
{% if route['preds_prediction_dict'] %}
<p>{{ route['preds']['prediction']['branch'] }} {{ route['preds']['prediction']['minutes'] }} min</p>
{% else %}
{% for preds in route['preds']['prediction'] %}
<p>{{ preds['branch'] }} {{ preds['minutes'] }} min</p>
{% endfor %}
{% endif %}
{% else %}
<p>No Predictions</p>
{% endif %}
{% endfor %}
{% endblock %}
